/*
 * SenchaFunction.cpp
 *
 *  Created on: Dec 30, 2012
 *      Author: att
 */

#include "SenchaFunction.h"

SenchaFunction::SenchaFunction(std::string name, std::vector<std::string> names_of_arguments, ASTNode * body)
	: name(name), names_of_arguments(names_of_arguments), body(body)
{

}

SenchaFunction::~SenchaFunction() {

}

SenchaObject SenchaFunction::operator()()
{
	return body->execute();
}
